aboutsummaryrefslogtreecommitdiffstats
path: root/clean_perl
diff options
context:
space:
mode:
Diffstat (limited to 'clean_perl')
-rwxr-xr-xclean_perl19
1 files changed, 19 insertions, 0 deletions
diff --git a/clean_perl b/clean_perl
new file mode 100755
index 0000000..7cb3fb2
--- /dev/null
+++ b/clean_perl
@@ -0,0 +1,19 @@
+#!/bin/sh -x
+
+d=$RPM_BUILD_ROOT/usr/lib/perl5
+
+[ -d $d ] || exit 0
+
+
+find $d -name ".packlist" | xargs rm -f
+
+for i in $(find $d -name "*.bs"); do
+ if [ -s $i ]; then
+ echo "non empty *.bs file, please mail pixel@mandrakesoft.com about this!"
+ else
+ rm -f $i
+ fi
+done
+
+# remove .ix's
+find $d -name "*.ix" | xargs rm -f